/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

@import "common_colors";


.ng-select.ng-select-focused:not(.ng-select-opened) > .ng-select-container {
  border-color: map_get($ls-color-map, "ls-primary-500");
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 0 3px rgba(0, 126, 255, 0.1)
}


.ng-dropdown-panel {
  min-width: 100% !important;
  .ng-dropdown-panel-items {
    .ng-option {
      &.ng-option-marked {
        background-color: map_get($ls-color-map, "ls-primary-50");
      }

      &.ng-option-selected {
        background-color: map_get($ls-color-map, "ls-primary-100");
      }

      &.ng-option-marked.ng-option-selected {
        background-color: map_get($ls-color-map, "ls-primary-200");
      }
    }
  }
}


.tooltip.big-tooltip {
  .tooltip-inner {
    max-width: 25rem;
  }
}


.tooltip.automatic-external-signature-tooltip.show {
  opacity: 1;
  .tooltip-inner {
    background-color: #F8F9FA;
    max-width: 40rem;
    box-shadow: 0 0.5rem 1rem rgb(0 0 0 / 15%);
  }
}


.list-group-flush > .list-group-item {
  border-top-width: 0;
  border-bottom-width: 0;
}


.list-group-item {
  cursor: pointer;

  &:hover {
    background-color: map-get($ls-color-map, "ls-primary-100");
  }

  &.disabled_link, &.disabled_link.active {
    color: grey;
    cursor: default;
    background-color: white;
    border-color: rgba(0, 0, 0, 0.125);

    &:hover {
      background-color: map-get($ls-color-map, "ls-grey-100");
    }
  }

}

// color customization for the date-range picker (used for delegation)
.md-drppicker {
  td.active.start-date, td.active.end-date, td.active.start-date:hover, td.active.end-date:hover {
    background-color: $primary-color;
  }
}


.custom-switch.custom-control {

  // not checked, not active
  .custom-control-label {
    color: $danger;
    cursor: pointer;

    &.active {
      color: $success;
    }

    &.disabled {
      cursor: not-allowed;
    }

    // this is actually the switch itself
    &::before {
      color: #fff;
      border-color: $danger;
      background-color: $danger;
    }

    &::after {
      background-color: white;
    }
  }

  .custom-control-input {
    &:checked {
      ~ .custom-control-label {
        &::before {
          color: #fff;
          border-color: $success;
          background-color: $success;
        }
      }
    }

    &:disabled {
      ~ .custom-control-label {
        &::before {
          color: #fff;
          border-color: lighten($danger, 80%);
          background-color: map-get($ls-color-map, "ls-danger-200");
          cursor: not-allowed;
        }
      }
    }

    &:focus {
      ~ .custom-control-label{
          &::before {
            box-shadow: 0 0 8px map-get($ls-color-map, "ls-primary-200");
          }
        }
    }
  }
}
